TableMap (groovy 2.4.12 API)
Date: 2017-06-21

Package: groovy.inspect.swingui

## [Java] Class TableMap

- groovy.inspect.swingui.TableMap

- All Implemented Interfaces and Traits:
    TableModelListener

      public class TableMap
      extends AbstractTableModel

  In a chain of data manipulators some behaviour is common. TableMap provides most of this behaviour and can be subclassed by filters that only need to override a handful of specific methods. TableMap implements TableModel by routing all requests to its model, and TableModelListener by routing all events to its listeners. Inserting a TableMap which has not been subclassed into a chain of table filters should have no effect.

  Authors:
    Philip Milne

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected TableModel` | `model` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Class` | `getColumnClass(int aColumn)`
    `` | `int` | `getColumnCount()`
    `` | `String` | `getColumnName(int aColumn)`
    `` | `TableModel` | `getModel()`
    `` | `int` | `getRowCount()`
    `` | `Object` | `getValueAt(int aRow, int aColumn)`
    `` | `boolean` | `isCellEditable(int row, int column)`
    `` | `void` | `setModel(TableModel model)`
    `` | `void` | `setValueAt(Object aValue, int aRow, int aColumn)`
    `` | `void` | `tableChanged(TableModelEvent e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTableModel` | `fireTableCellUpdated, fireTableChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, isCellEditable, setValueAt, addTableModelListener, fireTableDataChanged, getColumnClass, getTableModelListeners, removeTableModelListener, getColumnName, findColumn, getListeners, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getColumnCount, getRowCount, getValueAt`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected TableModel model

  - ### Method Detail

    - #### public Class getColumnClass(int aColumn)

    - #### public int getColumnCount()

    - #### public String getColumnName(int aColumn)

    - #### public TableModel getModel()

    - #### public int getRowCount()

    - #### public Object getValueAt(int aRow, int aColumn)

    - #### public boolean isCellEditable(int row, int column)

    - #### public void setModel(TableModel model)

    - #### public void setValueAt(Object aValue, int aRow, int aColumn)

    - #### public void tableChanged(TableModelEvent e)